{pkgs, ...}: {
  imports = [
    ./homeFiles.nix
    ./fish.nix
    ./starship.nix
    ./firefox.nix
    ./cli.nix
  ];
  services.syncthing = {
    enable = true;
    tray.enable = true;
  };

  services.gpg-agent = {
    enable = true;
    enableSshSupport = true;
    enableFishIntegration = true;
    pinentryPackage = pkgs.pinentry-tty;
    maxCacheTtl = 60480000;
    maxCacheTtlSsh = 60480000;
    defaultCacheTtl = 60480000;
    defaultCacheTtlSsh = 60480000;
  };
}
