{pkgs, ...}: {
  programs.firefox = {
    enable = true;
    package = pkgs.firefox-devedition;
    preferences = {
      "widget.use-xdg-desktop-portal.file-picker" = 1;
    };
  };
  programs.firefox.profiles.dev-edition-default.userChrome = ''
    #TabsToolbar {
      visibility: collapse !important;
      margin-bottom: 21px !important;
      }
  '';
  programs.firefox.profiles.dev-edition-default.id = 0;
  programs.firefox.profiles.dev-edition-default.isDefault = true;
  programs.firefox.profiles.dev-edition-default.settings = {
    "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
    "svg.context-properties.content.enabled" = true;
    "extensions.getAddons.showPane" = false;
    "extensions.htmlaboutaddons.recommendations.enabled" = false;
    "browser.discovery.enabled" = false;
    "browser.shopping.experience2023.enabled" = false;
    "browser.newtabpage.activity-stream.feeds.telemetry" = false;
    "browser.urlbar.trending.featureGate" = false;
    "browser.urlbar.pocket.featureGate" = false;
    "browser.newtabpage.activity-stream.showSponsored" = false;
    "browser.newtabpage.activity-stream.showSponsoredTopSites" = false;
    "extensions.pocket.enabled" = false;
    "browser.newtabpage.activity-stream.default.sites" = "";
    "browser.compactmode.show" = true;
    # "ui.textScaleFactor" = 90;
    "layout.css.devPixelsPerPx" = 1.7;
  };
}
