{
  kwinrulesrc = import ./kwinrulesrc.nix;

  "baloofilerc"."Basic Settings"."Indexing-Enabled".value = false;
  "kdeglobals"."KDE"."AnimationDurationFactor".value = 0.125;
  "kdeglobals"."Shortcuts"."Quit".value = "";

  kwinrc = {
    "Windows"."FocusPolicy".value = "FocusFollowsMouse";
  };

  kcminputrc = {
    # Framework 13 7040 touchpad
    "Libinput/2362/628/PIXA3854:00 093A:0274 Touchpad" = {
      "TapToClick".value = true;
      "NaturalScroll".value = true;
    };
  };

  kxkbrc.Layout = {
    "DisplayNames".value = ",";
    "LayoutList".value = "us,gr";
    "VariantList".value = ",";
    "Options".value = "grp:caps_toggle,grp_led:caps,compose:ralt";
    "ResetOldOptions".value = true;
    "SwitchMode".value = "Window";
    "Use".value = true;
  };
  "plasmarc"."OSD"."kbdLayoutChangedEnabled".value = false;

  plasma-localerc.Formats = {
    "LANG".value = "en_US.UTF-8";
    "LC_MEASUREMENT".value = "el_GR.UTF-8";
    "LC_MONETARY".value = "el_GR.UTF-8";
    "LC_NUMERIC".value = "el_GR.UTF-8";
    "LC_TIME".value = "en_IE.UTF-8";
  };

  powermanagementprofilesrc = {
    "AC/DPMSControl"."idleTime".value = 300;
    "AC/DPMSControl"."lockBeforeTurnOff".value = 0;
    "AC/DimDisplay"."idleTime".value = 120000;

    "Battery/DPMSControl"."idleTime".value = 300;
    "Battery/DPMSControl"."lockBeforeTurnOff".value = 0;
    "Battery/DimDisplay"."idleTime".value = 120000;
    "Battery/HandleButtonEvents"."lidAction".value = 0;
    "Battery/HandleButtonEvents"."powerButtonAction".value = 16;
    "Battery/HandleButtonEvents"."powerDownAction".value = 16;
    "Battery/HandleButtonEvents"."triggerLidActionWhenExternalMonitorPresent".value = false;
    "Battery/SuspendSession"."idleTime".value = 600000;
    "Battery/SuspendSession"."suspendThenHibernate".value = false;
    "Battery/SuspendSession"."suspendType".value = 1;

    "LowBattery/BrightnessControl"."value".value = 30;
    "LowBattery/DPMSControl"."idleTime".value = 120;
    "LowBattery/DPMSControl"."lockBeforeTurnOff".value = 0;
    "LowBattery/DimDisplay"."idleTime".value = 60000;
    "LowBattery/HandleButtonEvents"."lidAction".value = 1;
    "LowBattery/HandleButtonEvents"."powerButtonAction".value = 16;
    "LowBattery/HandleButtonEvents"."powerDownAction".value = 16;
    "LowBattery/HandleButtonEvents"."triggerLidActionWhenExternalMonitorPresent".value = false;
    "Migration"."MigratedProfilesToPlasma6".value = "powerdevilrc";
  };
}
